/**
 * Ein Objekt der Klasse 'Gebiet' enthält die Daten einer Zeile in der Datei 'Einkommen.csv'. Die
 * Klasse besitzt dementsprechend 5 Attribute und die zugehörigen get-Methoden. Wenn in der
 * Datei kein entsprechender Wert vorhanden ist, geben die Methoden 'getGesamtEinkommen'
 * und 'getDurchschnittsEinkommen' den Wert -1 zurück. Die Anzahl der Einwohner ist eine
 * abgeleitete Eigenschaft und wird dementsprechend in der Methode 'getAnzahlEinwohner'
 * berechnet.
 *
 * @author Vigier
 */
public class Gebiet implements GebietInterface {
    private int jahr;
    private int schlüssel;
    private String name;
    private long gesamtEinkommen;
    private int durchschnittsEinkommen;

    public Gebiet(int jahr, int schlüssel, String name, long gesamtEinkommen, int durchschnittsEinkommen) {
        this.jahr = jahr;
        this.schlüssel = schlüssel;
        this.name = name;
        this.gesamtEinkommen = gesamtEinkommen;
        this.durchschnittsEinkommen = durchschnittsEinkommen;
    }

    @Override
    public int getjahr() {
        return jahr;
    }

    @Override
    public int getSchüssel() {
        return schlüssel;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public long getGesamtEinkommen() {
        if(gesamtEinkommen == 0){
            return  -1;

        }
        return gesamtEinkommen;
    }

    @Override
    public int getDurchschnittsEinkommen() {
        if(getDurchschnittsEinkommen() == 0){
            return -1;
        }
        return durchschnittsEinkommen;
    }

    @Override
    public int getAnzahlEinwohner() {
        return (int) (gesamtEinkommen / durchschnittsEinkommen);
    }
}